## evolution 3.54.0

=== CMakeLists.txt ===
# Evolution build script

cmake_minimum_required(VERSION 3.15)
cmake_policy(VERSION 3.15)

project(evolution
	VERSION 3.54.0
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
set(PROJECT_URL "https://gitlab.gnome.org/GNOME/evolution/-/wikis/home")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.54)

# Used for pkg-config files
set(INTERFACE_VERSION 3.0)

math(EXPR _is_devel_version "${PROJECT_VERSION_MINOR}%2")
if(_is_devel_version EQUAL 1)
	math(EXPR _minor "${PROJECT_VERSION_MINOR}-1")
	if(_minor EQUAL -1)
		set(_minor 98)
		math(EXPR _major "${PROJECT_VERSION_MAJOR}-1")
	else(_minor EQUAL -1)
		set(_major ${PROJECT_VERSION_MAJOR})
	endif(_minor EQUAL -1)

	set(STABLE_VERSION "${_major}.${_minor}")
	set(APPDATA_RELEASE_TYPE "development")
else(_is_devel_version EQUAL 1)
	unset(STABLE_VERSION)
	set(APPDATA_RELEASE_TYPE "stable")
endif(_is_devel_version EQUAL 1)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GTK_DOC=ON
	-DENABLE_CONTACT_MAPS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DWITH_HELP=ON
	-DWITH_GLADE_CATALOG=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.66)
set(glib_encoded_version GLIB_VERSION_2_66)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.22)
set(gdk_encoded_version GDK_VERSION_3_22)

# Keep these two definitions in agreement.
set(soup_minimum_version 3.0)
set(soup_encoded_version SOUP_VERSION_3_0)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(enchant1_minimum_version 1.6.0)
set(enchant2_minimum_version 2.2.0)
set(gdk_pixbuf_minimum_version 2.24.0)
set(gnome_desktop_minimum_version 2.91.3)
set(gsettings_desktop_schemas_minimum_version 2.91.92)
set(libpst_minimum_version 0.6.54)
set(libsecret_minimum_version 0.5)
set(libxml_minimum_version 2.7.3)
set(shared_mime_info_minimum_version 0.22)
set(webkit2gtk_minimum_version 2.34.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(champlain_minimum_version 0.12.21)
set(clutter_gtk_minimum_version 0.90)
set(geocode_glib_minimum_version 3.26.3)
set(gladeui_minimum_version 3.10.0)
set(gnome_autoar_minimum_version 0.1.1)
set(gweather_minimum_version 3.91)
set(libcanberra_gtk_minimum_version 0.25)
set(libnotify_minimum_version 0.7)
set(libunity_minimum_version 7.1.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")
add_printable_variable_path(MAN_INSTALL_DIR "Install directory for manual pages, defaults to SHARE_INSTALL_PREFIX/man" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")
ensure_default_value(MAN_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/man")

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(errordir "${privdatadir}/errors")
set(etspecdir "${privdatadir}/etspec")
set(evolutionhelpdir "${privdatadir}/help")
set(icondir "${privdatadir}/icons")
set(imagesdir "${privdatadir}/images")
set(moduledir "${privlibdir}/modules")
set(plugindir "${privlibdir}/plugins")
set(soundsdir "${privdatadir}/sounds")
set(uidir "${privdatadir}/ui")
set(viewsdir "${privdatadir}/views")
set(webkitdatadir "${privdatadir}/webkit")
set(webextensionsdir "${privlibdir}/web-extensions")
set(webextensionswebkiteditordir "${webextensionsdir}/webkit-editor")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(GtkDoc)
include(IconCache)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)
include(FindLDAP)
include(FindSMIME)

# hidden option, usually not usable
option(OVERRIDE_APPLICATION_ID "Override application ID" "")
if(OVERRIDE_APPLICATION_ID STREQUAL "")
	unset(OVERRIDE_APPLICATION_ID)
endif(OVERRIDE_APPLICATION_ID STREQUAL "")

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_variable(VERSION_SUBSTRING "Version substring, for packagers" "")
add_printable_variable(VERSION_COMMENT "Define if you want a comment appended to the version number" "")

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# Check for nl_langinfo features
# ******************************

CHECK_C_SOURCE_COMPILES("#include <langinfo.h>
			int main(void) { char *detail = nl_langinfo (_NL_MEASUREMENT_MEASUREMENT); return 0; }" HAVE__NL_MEASUREMENT_MEASUREMENT)

# ******************************
# Dependencies
# ******************************

if(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-windows-2.0")
else(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-unix-2.0")
endif(WIN32)

add_printable_option(ENABLE_ALARM_NOTIFY_MODULE "Enable the 'alarm-notify' module" ON)

add_printable_option(ENABLE_GNOME_DESKTOP "Enable GNOME desktop dependency for thumbnails" ON)

if(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "gnome-desktop-3.0")
	set(HAVE_GNOME_DESKTOP ON)

	# It's checked for it twice, this one gives a hint to disable the dependency if not found
	pkg_check_modules_for_option(ENABLE_GNOME_DESKTOP "GNOME desktop dependency for thumbnails" GNOME_DESKTOP ${GNOME_DESKTOP_DEPENDENCY}>=${gnome_desktop_minimum_version})
else(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "")
	set(HAVE_GNOME_DESKTOP OFF)
endif(ENABLE_GNOME_DESKTOP)

pkg_check_modules(GNOME_PLATFORM REQUIRED
	cairo-gobject
	gail-3.0>=${gdk_minimum_version}
	gdk-pixbuf-2.0>=${gdk_pixbuf_minimum_version}
	gio-2.0>=${glib_minimum_version}
	${GIO_UNIX_REQUIREMENT}
	gmodule-2.0>=${glib_minimum_version}
	${GNOME_DESKTOP_DEPENDENCY}
	gsettings-desktop-schemas>=${gsettings_desktop_schemas_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
	libxml-2.0>=${libxml_minimum_version}
	shared-mime-info>=${shared_mime_info_minimum_version}
	webkit2gtk-4.1>=${webkit2gtk_minimum_version}
)

pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED
	camel-1.2>=${eds_minimum_version}
	libebook-1.2>=${eds_minimum_version}
	libecal-2.0>=${eds_minimum_version}
	libedataserver-1.2>=${eds_minimum_version}
	libedataserverui-1.2>=${eds_minimum_version}
	libebackend-1.2>=${eds_minimum_version}
)

pkg_check_modules(A11Y REQUIRED atk)
pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=${libsecret_minimum_version})
pkg_check_modules(LIBSOUP REQUIRED libsoup-3.0>=${soup_minimum_version})
pkg_check_modules(WEB_EXTENSION REQUIRED webkit2gtk-4.1>=${webkit2gtk_minimum_version})
pkg_check_modules(SQLITE3 REQUIRED sqlite3>=${sqlite_minimum_version})

pkg_check_variable(EDS_SOURCES_DBUS_SERVICE_NAME evolution-data-server-1.2 sourcesdbusservicename)
pkg_check_variable(E_DATA_SERVER_ICONDIR evolution-data-server-1.2 icondir)

# ******************************
# Enchant - support both, but better to use the same as the dependencies (gspell, webkitgtk+,...)
# ******************************

add_printable_variable(WITH_ENCHANT_VERSION "Set Enchant version to use" "auto")
set(enchant_version_values auto 1 2)
set_property(CACHE WITH_ENCHANT_VERSION PROPERTY STRINGS ${enchant_version_values})

if(WITH_ENCHANT_VERSION STREQUAL "1")
	pkg_check_modules(ENCHANT REQUIRED enchant>=${enchant1_minimum_version})
else(WITH_ENCHANT_VERSION STREQUAL "1")
	if(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
	else(WITH_ENCHANT_VERSION STREQUAL "2")

=== debian/changelog ===
evolution (3.54.0-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.54.0

  [ Jeremy Bícha ]
  * Update homepage

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 15:53:18 +0200

evolution (3.53.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.53.2

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Sep 2024 10:18:32 +0200

evolution (3.53.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.53.2
  * Remove obsolete Breaks/Replaces
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 13:49:13 -0400

evolution (3.52.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.52.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 13:18:18 -0400

evolution (3.52.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.52.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 10:13:01 -0400

evolution (3.52.2-2) unstable; urgency=medium

  * Fix accidental bumped Breaks/Replaces

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 15:17:08 -0400

evolution (3.52.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.52.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 08:45:22 -0400

evolution (3.52.1-4) unstable; urgency=medium

  * Fix arch:all build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 May 2024 07:29:35 -0400

evolution (3.52.1-3) unstable; urgency=medium

  * Move libevolution-rss-common.so to libevolution package (Closes: #1070833)
    (LP: #2061744)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 May 2024 06:19:45 -0400

evolution (3.52.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 May 2024 21:09:19 -0400

evolution (3.52.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.52.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 16:36:52 -0400

=== debian/control ===
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               dpkg-dev (>= 1.16.1),
               libchamplain-gtk-0.12-dev (>= 0.12.21),
               libglib2.0-dev (>= 2.66),
               libgtk-3-dev (>= 3.10.0),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf-2.0-dev (>= 2.24.0),
               libcamel1.2-dev (>= 3.54.0),
               libcmark-dev,
               libebook1.2-dev (>= 3.54.0),
               libecal2.0-dev (>= 3.54.0),
               libedataserver1.2-dev (>= 3.54.0),
               libedataserverui1.2-dev (>= 3.54.0),
               libebackend1.2-dev (>= 3.54.0),
               evolution-data-server-dev (>= 3.54.0),
               evolution-data-server-dev (<< 3.55),
               libwebkit2gtk-4.1-dev,
               libgeocode-glib-dev (>= 3.26.3),
               libgnome-desktop-3-dev (>= 3.8.0),
               libgspell-1-dev,
               libsoup-3.0-dev (>= 3.1),
               libsqlite3-dev (>= 3.7.17),
               libxml2-dev (>= 2.7.3),
               libenchant-2-dev (>= 2.2.0),
               shared-mime-info (>= 0.22),
               libnotify-dev (>= 0.7),
               libgweather-4-dev (>= 4.1),
               libcanberra-gtk3-dev (>= 0.25),
               intltool (>= 0.40.0),
               itstool,
               libtool (>= 2.2),
               pkgconf,
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10),
               libatk1.0-dev,
               x11proto-core-dev,
               libldap2-dev,
               libnspr4-dev,
               libnss3-dev (>= 2:3.72-1~),
               psmisc,
               libytnef0-dev,
               libical-dev (>= 2.0.0),
               libpst-dev (>= 0.6.54),
               libsm-dev,
               libice-dev,
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libclutter-gtk-1.0-dev (>= 0.90),
               highlight,
               libcryptui-dev,
               libgnome-autoar-0-dev (>= 0.1.1),
               libgnome-autoar-gtk-0-dev (>= 0.1.1),
               libunity-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution
Homepage: https://gitlab.gnome.org/GNOME/evolution/-/wikis/home

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 3.54.0),
         evolution-data-server (<< 3.55),
         default-dbus-system-bus | dbus-system-bus,
         psmisc
Recommends: evolution-plugins,
            evolution-plugin-bogofilter | evolution-plugin-spamassassin,
            evolution-plugin-pstimport,
            yelp
Suggests: evolution-ews,
          evolution-plugins-experimental,
          gnupg,
          network-manager
Provides: mail-reader,
          imap-client
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange
 servers, newsgroup client, LDAP support and web calendars
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - itip-formatter
  - default-source
  - addressbook-file
  - mark-all-read
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - webdav-account-setup
  - calendar-weather
  - sa-junk-plugin
  - bogo-junk-pluginm

Package: libevolution
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         evolution-common (= ${source:Version}),
Breaks: evolution-dev (<< 3.52.1-2~),
Replaces: evolution-dev (<< 3.52.1-2~),
Description: evolution libraries
 This package contains libraries used by Evolution.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: libevolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libenchant-2-dev (>= 2.2.0),
# evolution-plugin
         libcamel1.2-dev,
# evolution-shell
         libebackend1.2-dev,
         libgtk-3-dev (>= 3.10),
         libgnome-desktop-3-dev,
         libwebkit2gtk-4.1-dev,
         libedataserver1.2-dev,
         libedataserverui1.2-dev,
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - attachment-reminder
  - bbdb
  - dbx-import
  - email-custom-header
  - face
  - mailing-list-actions
  - mail-notification
  - mail-to-task
  - prefer-plain
  - save-calendar
  - sender-validator
  - templates

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - external-editor
  - contacts-map

Package: evolution-plugin-bogofilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         bogofilter
Description: standard plugins for Evolution (bogofilter)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the bogofilter spam filter module for Evolution.

Package: evolution-plugin-pstimport
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Description: standard plugins for Evolution (pstimport)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes a plugin for Evolution that enables importing
 Microsoft Outlook messages from a PST file.

Package: evolution-plugin-spamassassin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         spamassassin,
Description: standard plugins for Evolution (spamassassin)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the spamassasin spam filter module for Evolution.

#Package: evolution-tests
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#Description: Installed tests for Evolution
# Evolution is a groupware suite which integrates mail, calendar,
# address book, to-do list and memo tools.
# .
# This package contains test programs, designed to be run as part of a
# regression testsuite.

## evolution 3.54.1

=== debian/changelog ===
evolution (3.54.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.54.1

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 18 Oct 2024 16:15:17 +0200

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf-2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.54.0),
+               libcamel1.2-dev (>= 3.54.1),
                libcmark-dev,
-               libebook1.2-dev (>= 3.54.0),
-               libecal2.0-dev (>= 3.54.0),
-               libedataserver1.2-dev (>= 3.54.0),
-               libedataserverui1.2-dev (>= 3.54.0),
-               libebackend1.2-dev (>= 3.54.0),
-               evolution-data-server-dev (>= 3.54.0),
+               libebook1.2-dev (>= 3.54.1),
+               libecal2.0-dev (>= 3.54.1),
+               libedataserver1.2-dev (>= 3.54.1),
+               libedataserverui1.2-dev (>= 3.54.1),
+               libebackend1.2-dev (>= 3.54.1),
+               evolution-data-server-dev (>= 3.54.1),
                evolution-data-server-dev (<< 3.55),
                libwebkit2gtk-4.1-dev,
                libgeocode-glib-dev (>= 3.26.3),
@@ -69,7 +69,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.54.0),
+         evolution-data-server (>= 3.54.1),
          evolution-data-server (<< 3.55),
          default-dbus-system-bus | dbus-system-bus,
          psmisc

## evolution 3.54.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution
-	VERSION 3.54.0
+	VERSION 3.54.2
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
 set(PROJECT_URL "https://gitlab.gnome.org/GNOME/evolution/-/wikis/home")

=== debian/changelog ===
evolution (3.54.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.54.1

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Dec 2024 10:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf-2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.54.1),
+               libcamel1.2-dev (>= 3.54.2),
                libcmark-dev,
-               libebook1.2-dev (>= 3.54.1),
-               libecal2.0-dev (>= 3.54.1),
-               libedataserver1.2-dev (>= 3.54.1),
-               libedataserverui1.2-dev (>= 3.54.1),
-               libebackend1.2-dev (>= 3.54.1),
-               evolution-data-server-dev (>= 3.54.1),
+               libebook1.2-dev (>= 3.54.2),
+               libecal2.0-dev (>= 3.54.2),
+               libedataserver1.2-dev (>= 3.54.2),
+               libedataserverui1.2-dev (>= 3.54.2),
+               libebackend1.2-dev (>= 3.54.2),
+               evolution-data-server-dev (>= 3.54.2),
                evolution-data-server-dev (<< 3.55),
                libwebkit2gtk-4.1-dev,
                libgeocode-glib-dev (>= 3.26.3),
@@ -69,7 +69,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.54.1),
+         evolution-data-server (>= 3.54.2),
          evolution-data-server (<< 3.55),
          default-dbus-system-bus | dbus-system-bus,
          psmisc

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@

DEB_REVISION := $(shell echo $(DEB_VERSION) | awk -F- '{ print $$NF }')

# installed-tests are old and require python3-behave
# which is not in Debian yet
override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSCONF_INSTALL_DIR=/etc \
		-DWITH_OPENLDAP=ON \
		-DENABLE_PLUGINS=all \
		-DENABLE_PST_IMPORT=ON \
		-DENABLE_CONTACT_MAPS=ON \
		-DENABLE_AUTOAR=ON \
		-DENABLE_INSTALLED_TESTS=OFF \
		-DWITH_HELP=ON \
		-DENABLE_GTK_DOC=ON \
		-DVERSION_SUBSTRING=-$(DEB_REVISION)

override_dh_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv debian/tmp/usr/lib/pkgconfig/*.pc \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	dh_install
ifneq ($(filter libevolution,$(shell dh_listpackages)),)
	find debian/libevolution/ -name 'module-bogofilter.so' -delete
	find debian/libevolution/ -name 'module-spamassassin.so' -delete
endif

execute_after_dh_install-arch:
	rm debian/evolution-dev/usr/lib/evolution/libevolution-rss-common.so

override_dh_makeshlibs:
	dh_makeshlibs -V'libevolution (>= $(DEB_VERSION_UPSTREAM)), libevolution (<< $(DEB_GNOME_NEXTVERSION))' -n

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## evolution 3.54.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution
-	VERSION 3.54.2
+	VERSION 3.54.3
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
 set(PROJECT_URL "https://gitlab.gnome.org/GNOME/evolution/-/wikis/home")

=== debian/changelog ===
evolution (3.54.3-2) unstable; urgency=medium

  * Don't build contact maps feature on 32-bit non-i386. Avoids: #1086231

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 20:04:35 -0500

evolution (3.54.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.54.3
  * debian/gbp.conf: Switch to debian/trixie and upstream/3.54.x branches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 10:18:18 -0900

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                dpkg-dev (>= 1.16.1),
-               libchamplain-gtk-0.12-dev (>= 0.12.21),
+               libchamplain-gtk-0.12-dev (>= 0.12.21) [!armel !armhf !hppa !m68k !powerpc !sh4],
                libglib2.0-dev (>= 2.66),
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf-2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.54.2),
+               libcamel1.2-dev (>= 3.54.3),
                libcmark-dev,
-               libebook1.2-dev (>= 3.54.2),
-               libecal2.0-dev (>= 3.54.2),
-               libedataserver1.2-dev (>= 3.54.2),
-               libedataserverui1.2-dev (>= 3.54.2),
-               libebackend1.2-dev (>= 3.54.2),
-               evolution-data-server-dev (>= 3.54.2),
+               libebook1.2-dev (>= 3.54.3),
+               libecal2.0-dev (>= 3.54.3),
+               libedataserver1.2-dev (>= 3.54.3),
+               libedataserverui1.2-dev (>= 3.54.3),
+               libebackend1.2-dev (>= 3.54.3),
+               evolution-data-server-dev (>= 3.54.3),
                evolution-data-server-dev (<< 3.55),
                libwebkit2gtk-4.1-dev,
                libgeocode-glib-dev (>= 3.26.3),
@@ -69,7 +69,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.54.2),
+         evolution-data-server (>= 3.54.3),
          evolution-data-server (<< 3.55),
          default-dbus-system-bus | dbus-system-bus,
          psmisc

## evolution 3.55.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_policy(VERSION 3.15)
 
 project(evolution
-	VERSION 3.54.3
+	VERSION 3.55.2
 	LANGUAGES C)
 set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
 set(PROJECT_URL "https://gitlab.gnome.org/GNOME/evolution/-/wikis/home")
@@ -12,7 +12,7 @@
 # Base Version: This is for API/version tracking for things like
 # D-Bus server files. This should always be the major/minor of
 # the stable version or stable version to be.
-set(BASE_VERSION 3.54)
+set(BASE_VERSION 3.56)
 
 # Used for pkg-config files
 set(INTERFACE_VERSION 3.0)
@@ -48,8 +48,8 @@
 )
 
 # Keep these two definitions in agreement.
-set(glib_minimum_version 2.66)
-set(glib_encoded_version GLIB_VERSION_2_66)
+set(glib_minimum_version 2.70)
+set(glib_encoded_version GLIB_VERSION_2_70)
 
 # Keep these two definitions in agreement.
 set(gdk_minimum_version 3.22)
@@ -223,7 +223,6 @@
 set(MATH_LDFLAGS -lm)
 
 CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
-CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
 CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)
 
 # ******************************
@@ -305,3 +304,5 @@
 	if(WITH_ENCHANT_VERSION STREQUAL "2")
 		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
 	else(WITH_ENCHANT_VERSION STREQUAL "2")
+		pkg_check_modules(ENCHANT enchant>=${enchant1_minimum_version})
+		if(ENCHANT_FOUND)

=== src/e-util/CMakeLists.txt ===
glib_mkenums(e-util-enumtypes e-util-enums.h E_UTIL_ENUMTYPES_H)
glib_genmarshal(e-marshal e_marshal e-marshal.list)

add_error_files(e-util
	e-system.error
	filter.error
	widgets.error
)

set(uifiles
	e-table-config.ui
	e-timezone-dialog.ui
	filter.ui
	gal-view-instance-save-as-dialog.ui
)

install(FILES ${uifiles}
	DESTINATION ${uidir}
)

set(PLATFORM_SOURCES)

if(WIN32)
	set(PLATFORM_SOURCES
		e-win32-reloc.c
		e-win32-defaults.c
		e-win32-defaults.h
	)
endif(WIN32)

glib_compile_resources(${CMAKE_SOURCE_DIR}/data/ ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource org_gnome_evolution ../../data/org.gnome.Evolution.gresource.xml)

# Main libevolution-util

set(DEPENDENCIES
	gnomecanvas
)

set(SOURCES
	e-accounts-window.c
	e-action-combo-box.c
	e-activity-bar.c
	e-activity-proxy.c
	e-activity.c
	e-alarm-selector.c
	e-alert-bar.c
	e-alert-dialog.c
	e-alert-sink.c
	e-alert.c
	e-attachment-bar.c
	e-attachment-handler-image.c
	e-attachment-handler.c
	e-attachment-icon-view.c
	e-attachment-paned.c
	e-attachment-popover.c
	e-attachment-store.c
	e-attachment-tree-view.c
	e-attachment-view.c
	e-attachment.c
	e-auth-combo-box.c
	e-autocomplete-selector.c
	e-bit-array.c
	e-book-source-config.c
	e-cal-source-config.c
	e-calendar-item.c
	e-calendar.c
	e-canvas-background.c
	e-canvas-utils.c
	e-canvas-vbox.c
	e-canvas.c
	e-categories-config.c
	e-categories-dialog.c
	e-categories-editor.c
	e-categories-selector.c
	e-category-completion.c
	e-category-editor.c
	e-cell-checkbox.c
	e-cell-combo.c
	e-cell-date-edit.c
	e-cell-date-int.c
	e-cell-date.c
	e-cell-hbox.c
	e-cell-number.c
	e-cell-percent.c
	e-cell-pixbuf.c
	e-cell-popup.c
	e-cell-size.c
	e-cell-text.c
	e-cell-toggle.c
	e-cell-tree.c
	e-cell-vbox.c
	e-cell.c
	e-charset-combo-box.c
	e-charset.c
	e-client-cache.c
	e-client-combo-box.c
	e-client-selector.c
	e-collection-account-wizard.c
	e-color-chooser-widget.c
	e-color-combo.c
	e-color-scheme-watcher.c
	e-config.c
	e-config-lookup.c
	e-config-lookup-result.c
	e-config-lookup-result-simple.c
	e-config-lookup-worker.c
	e-conflict-search-selector.c
	e-contact-store.c
	e-content-editor.c
	e-content-request.c
	e-data-capture.c
	e-dateedit.c
	e-datetime-format.c
	e-destination-store.c
	e-dialog-utils.c
	e-dialog-widgets.c
	e-ellipsized-combo-box-text.c
	e-emoticon-chooser-menu.c
	e-emoticon-chooser.c
	e-emoticon.c
	e-event.c
	e-file-request.c
	e-file-utils.c
	e-filter-code.c
	e-filter-color.c
	e-filter-datespec.c
	e-filter-element.c
	e-filter-file.c
	e-filter-input.c
	e-filter-int.c
	e-filter-label.c
	e-filter-option.c
	e-filter-part.c
	e-filter-rule.c
	e-focus-tracker.c
	e-gtkemojichooser.h
	e-gtkemojichooser.c
	e-headerbar.c
	e-headerbar-button.c
	e-html-editor-actions.c
	e-html-editor-cell-dialog.c
	e-html-editor-dialog.c
	e-html-editor-find-dialog.c
	e-html-editor-hrule-dialog.c
	e-html-editor-image-dialog.c
	e-html-editor-link-popover.c
	e-html-editor-page-dialog.c
	e-html-editor-paragraph-dialog.c
	e-html-editor-private.h
	e-html-editor-replace-dialog.c
	e-html-editor-spell-check-dialog.c
	e-html-editor-table-dialog.c
	e-html-editor-text-dialog.c
	e-html-editor.c
	e-html-utils.c
	e-icon-factory.c
	e-image-chooser.c
	e-image-chooser-dialog.c
	e-import-assistant.c
	e-import.c
	e-interval-chooser.c
	e-mail-identity-combo-box.c
	e-mail-signature-combo-box.c
	e-mail-signature-editor.c
	e-mail-signature-manager.c
	e-mail-signature-preview.c
	e-mail-signature-script-dialog.c
	e-mail-signature-tree-view.c
	e-map.c
	e-markdown-editor.c
	e-markdown-utils.c
	e-marshal.c
	e-menu-bar.c
	e-menu-tool-button.c
	e-misc-utils.c
	e-mktemp.c
	e-month-widget.c
	e-name-selector-dialog.c
	e-name-selector-entry.c
	e-name-selector-list.c
	e-name-selector-model.c
	e-name-selector.c
	e-online-button.c
	e-paned.c
	e-passwords.c
	e-photo-cache.c
	e-photo-source.c
	e-picture-gallery.c
	e-plugin-ui.c
	e-plugin.c
	e-poolv.c
	e-popup-menu.c
	e-port-entry.c
	e-preferences-window.c
	e-preview-pane.c
	e-print.c
	e-printable.c
	e-proxy-combo-box.c
	e-proxy-editor.c
	e-proxy-link-selector.c
	e-proxy-preferences.c
	e-proxy-selector.c
	e-rule-context.c
	e-rule-editor.c
	e-search-bar.c
	e-selectable.c
	e-selection-model-array.c
	e-selection-model-simple.c
	e-selection-model.c
	e-selection.c
	e-simple-async-result.c
	e-sorter-array.c
	e-sorter.c
	e-source-combo-box.c
	e-source-config-backend.c
	e-source-config-dialog.c
	e-source-config.c
	e-source-conflict-search.c
	e-source-selector-dialog.c
	e-source-selector.c
	e-source-util.c
	e-spell-checker.c
	e-spell-dictionary.c
	e-spell-entry.c
	e-spell-text-view.c
	e-spinner.c
	e-stock-request.c
	e-supported-locales-private.h
	e-table-click-to-add.c
	e-table-col.c
	e-table-column-selector.c
	e-table-column-specification.c
	e-table-config.c
	e-table-extras.c
	e-table-field-chooser-dialog.c
	e-table-field-chooser-item.c
	e-table-field-chooser.c
	e-table-group-container.c
	e-table-group-leaf.c
	e-table-group.c
	e-table-header-item.c
	e-table-header-utils.c
	e-table-header.c
	e-table-item.c
	e-table-model.c
	e-table-one.c
	e-table-search.c
	e-table-selection-model.c
	e-table-sort-info.c
	e-table-sorted-variable.c
	e-table-sorted.c
	e-table-sorter.c
	e-table-sorting-utils.c
	e-table-specification.c
	e-table-state.c
	e-table-subset-variable.c
	e-table-subset.c
	e-table-utils.c
	e-table.c
	e-text-event-processor-emacs-like.c
	e-text-event-processor.c
	e-text-model-repos.c
	e-text-model.c
	e-text.c
	e-timezone-dialog.c
	e-tree-model-generator.c
	e-tree-model.c
	e-tree-selection-model.c
	e-tree-table-adapter.c
	e-tree-view-frame.c
	e-tree.c
	e-ui-action.c
	e-ui-action-group.c
	e-ui-customize-dialog.c
	e-ui-customizer.c
	e-ui-manager.c
	e-ui-menu.c
	e-ui-parser.c
	e-unicode.c
	e-url-entry.c
	e-util-private.h
	e-webdav-browser.c
	e-web-view.c
	e-web-view-jsc-utils.c
	e-web-view-preview.c
	e-widget-undo.c
	e-xml-utils.c
	ea-calendar-cell.c
	ea-calendar-item.c
	ea-cell-table.c
	ea-widgets.c
	gal-a11y-e-cell-popup.c
	gal-a11y-e-cell-registry.c
	gal-a11y-e-cell-text.c
	gal-a11y-e-cell-toggle.c
	gal-a11y-e-cell-tree.c
	gal-a11y-e-cell-vbox.c
	gal-a11y-e-cell.c
	gal-a11y-e-table-click-to-add-factory.c
	gal-a11y-e-table-click-to-add.c
	gal-a11y-e-table-column-header.c
	gal-a11y-e-table-factory.c
	gal-a11y-e-table-item-factory.c
	gal-a11y-e-table-item.c
	gal-a11y-e-table.c
	gal-a11y-e-text-factory.c
	gal-a11y-e-text.c
	gal-a11y-e-tree-factory.c
	gal-a11y-e-tree.c
	gal-a11y-util.c
	gal-view-collection.c
	gal-view-etable.c
	gal-view-instance-save-as-dialog.c
	gal-view-instance.c
	gal-view.c
	${PLATFORM_SOURCES}
	${CMAKE_CURRENT_BINARY_DIR}/e-marshal.c
	${CMAKE_CURRENT_BINARY_DIR}/e-util-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource.c
	${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution.gresource.h
)

set(HEADERS
	e-util.h
	e-accounts-window.h
	e-action-combo-box.h
	e-activity-bar.h
	e-activity-proxy.h
	e-activity.h
	e-alarm-selector.h
	e-alert-bar.h
	e-alert-dialog.h
	e-alert-sink.h
	e-alert.h
	e-attachment-bar.h
	e-attachment-handler-image.h
	e-attachment-handler.h
	e-attachment-icon-view.h
	e-attachment-paned.h
	e-attachment-popover.h
	e-attachment-store.h
	e-attachment-tree-view.h
	e-attachment-view.h
	e-attachment.h
	e-auth-combo-box.h
	e-autocomplete-selector.h
	e-bit-array.h
	e-book-source-config.h
	e-cal-source-config.h
	e-calendar-item.h
	e-calendar.h
	e-canvas-background.h
	e-canvas-utils.h
	e-canvas-vbox.h
	e-canvas.h
	e-categories-config.h
	e-categories-dialog.h
	e-categories-editor.h
	e-categories-selector.h
	e-category-completion.h
	e-category-editor.h
	e-cell-checkbox.h
	e-cell-combo.h
	e-cell-date-edit.h
	e-cell-date-int.h
	e-cell-date.h
	e-cell-hbox.h
	e-cell-number.h
	e-cell-percent.h
	e-cell-pixbuf.h
	e-cell-popup.h
	e-cell-size.h
	e-cell-text.h
	e-cell-toggle.h
	e-cell-tree.h
	e-cell-vbox.h
	e-cell.h
	e-charset-combo-box.h
	e-charset.h
	e-client-cache.h
	e-client-combo-box.h
	e-client-selector.h
	e-collection-account-wizard.h
	e-color-chooser-widget.h
	e-color-combo.h
	e-color-scheme-watcher.h
	e-config.h
	e-config-lookup.h
	e-config-lookup-result.h
	e-config-lookup-result-simple.h
	e-config-lookup-worker.h
	e-conflict-search-selector.h
	e-contact-store.h
	e-content-editor.h
	e-content-request.h
	e-data-capture.h
	e-dateedit.h
	e-datetime-format.h
	e-destination-store.h
	e-dialog-utils.h
	e-dialog-widgets.h
	e-ellipsized-combo-box-text.h
	e-emoticon-chooser-menu.h
	e-emoticon-chooser.h
	e-emoticon.h
	e-event.h
	e-file-request.h
	e-file-utils.h
	e-filter-code.h
	e-filter-color.h
	e-filter-datespec.h
	e-filter-element.h
	e-filter-file.h
	e-filter-input.h
	e-filter-int.h
	e-filter-label.h
	e-filter-option.h
	e-filter-part.h
	e-filter-rule.h
	e-focus-tracker.h
	e-headerbar.h
	e-headerbar-button.h
	e-html-editor-actions.h
	e-html-editor-cell-dialog.h
	e-html-editor-dialog.h
	e-html-editor-find-dialog.h
	e-html-editor-hrule-dialog.h
	e-html-editor-image-dialog.h
	e-html-editor-link-popover.h
	e-html-editor-page-dialog.h
	e-html-editor-paragraph-dialog.h
	e-html-editor-replace-dialog.h
	e-html-editor-spell-check-dialog.h
	e-html-editor-table-dialog.h
	e-html-editor-text-dialog.h
	e-html-editor.h
	e-html-utils.h
	e-icon-factory.h
	e-image-chooser.h
	e-image-chooser-dialog.h
	e-import-assistant.h
	e-import.h
	e-interval-chooser.h
	e-mail-identity-combo-box.h
	e-mail-signature-combo-box.h
	e-mail-signature-editor.h
	e-mail-signature-manager.h
	e-mail-signature-preview.h
	e-mail-signature-script-dialog.h
	e-mail-signature-tree-view.h
	e-map.h
	e-markdown-editor.h
	e-markdown-utils.h
	e-menu-bar.h
	e-menu-tool-button.h
	e-misc-utils.h
	e-mktemp.h
	e-month-widget.h
	e-name-selector-dialog.h
	e-name-selector-entry.h
	e-name-selector-list.h
	e-name-selector-model.h
	e-name-selector.h
	e-online-button.h
	e-paned.h
	e-passwords.h
	e-photo-cache.h
	e-photo-source.h
	e-picture-gallery.h
	e-plugin-ui.h
	e-plugin.h
	e-poolv.h
	e-popup-menu.h
	e-port-entry.h
	e-preferences-window.h
	e-preview-pane.h
	e-print.h
	e-printable.h
	e-proxy-combo-box.h
	e-proxy-editor.h
	e-proxy-link-selector.h
	e-proxy-preferences.h
	e-proxy-selector.h
	e-rule-context.h
	e-rule-editor.h
	e-search-bar.h
	e-selectable.h
	e-selection-model-array.h
	e-selection-model-simple.h
	e-selection-model.h
	e-selection.h
	e-simple-async-result.h
	e-sorter-array.h
	e-sorter.h
	e-source-combo-box.h
	e-source-config-backend.h
	e-source-config-dialog.h
	e-source-config.h
	e-source-conflict-search.h
	e-source-selector-dialog.h
	e-source-selector.h
	e-source-util.h
	e-spell-checker.h
	e-spell-dictionary.h
	e-spell-entry.h
	e-spell-text-view.h
	e-spinner.h
	e-stock-request.h
	e-table-click-to-add.h
	e-table-col-dnd.h
	e-table-col.h
	e-table-column-selector.h
	e-table-column-specification.h
	e-table-config.h
	e-table-defines.h
	e-table-extras.h
	e-table-field-chooser-dialog.h
	e-table-field-chooser-item.h
	e-table-field-chooser.h
	e-table-group-container.h
	e-table-group-leaf.h
	e-table-group.h
	e-table-header-item.h
	e-table-header-utils.h
	e-table-header.h
	e-table-item.h
	e-table-model.h
	e-table-one.h
	e-table-search.h
	e-table-selection-model.h
	e-table-sort-info.h
	e-table-sorted-variable.h
	e-table-sorted.h
	e-table-sorter.h
	e-table-sorting-utils.h
	e-table-specification.h
	e-table-state.h
	e-table-subset-variable.h
	e-table-subset.h
	e-table-utils.h
	e-table.h
	e-text-event-processor-emacs-like.h
	e-text-event-processor-types.h
	e-text-event-processor.h
	e-text-model-repos.h
	e-text-model.h
	e-text.h
	e-timezone-dialog.h
	e-tree-model-generator.h
	e-tree-model.h
	e-tree-selection-model.h
	e-tree-table-adapter.h
	e-tree-view-frame.h
	e-tree.h
	e-ui-action.h
	e-ui-action-group.h
	e-ui-customize-dialog.h
	e-ui-customizer.h
	e-ui-manager.h
	e-ui-menu.h
	e-ui-parser.h
	e-unicode.h
	e-url-entry.h
	e-util-enums.h
	e-webdav-browser.h
	e-web-view.h
	e-web-view-jsc-utils.h
	e-web-view-preview.h
	e-widget-undo.h
	e-xml-utils.h
	ea-calendar-cell.h
	ea-calendar-item.h
	ea-cell-table.h
	ea-factory.h
	ea-widgets.h
	gal-a11y-e-cell-popup.h
	gal-a11y-e-cell-registry.h
	gal-a11y-e-cell-text.h
	gal-a11y-e-cell-toggle.h

=== debian/changelog ===
evolution (3.55.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.55.2
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 14:50:32 -0500

evolution (3.55.1-2) experimental; urgency=medium

  * Move evolution-ews from Suggests to Recommends (Closes: #969955)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 09:56:09 -0500

evolution (3.55.1-1) experimental; urgency=medium

  * New upstream release
  * Remove obsolete Build-Depends: x11proto-core-dev
  * debian/control: Bump e-d-s dependencies and build-dependencies to 3.55.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 13:33:09 -0900

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
                debhelper-compat (= 13),
                dh-sequence-gnome,
                dpkg-dev (>= 1.16.1),
-               libchamplain-gtk-0.12-dev (>= 0.12.21) [!armel !armhf !hppa !m68k !powerpc !sh4],
-               libglib2.0-dev (>= 2.66),
+               libchamplain-gtk-0.12-dev (>= 0.12.21) [!armel !armhf !hppa !m68k !powerpc !sh4 !x32],
+               libglib2.0-dev (>= 2.70),
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf-2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.54.3),
+               libcamel1.2-dev (>= 3.55.2),
                libcmark-dev,
-               libebook1.2-dev (>= 3.54.3),
-               libecal2.0-dev (>= 3.54.3),
-               libedataserver1.2-dev (>= 3.54.3),
-               libedataserverui1.2-dev (>= 3.54.3),
-               libebackend1.2-dev (>= 3.54.3),
-               evolution-data-server-dev (>= 3.54.3),
-               evolution-data-server-dev (<< 3.55),
+               libebook1.2-dev (>= 3.55.2),
+               libecal2.0-dev (>= 3.55.2),
+               libedataserver1.2-dev (>= 3.55.2),
+               libedataserverui1.2-dev (>= 3.55.2),
+               libebackend1.2-dev (>= 3.55.2),
+               evolution-data-server-dev (>= 3.55.2),
+               evolution-data-server-dev (<< 3.57),
                libwebkit2gtk-4.1-dev,
                libgeocode-glib-dev (>= 3.26.3),
                libgnome-desktop-3-dev (>= 3.8.0),
@@ -40,7 +40,6 @@
                gtk-doc-tools (>= 1.14),
                libcairo2-dev (>= 1.10),
                libatk1.0-dev,
-               x11proto-core-dev,
                libldap2-dev,
                libnspr4-dev,
                libnss3-dev (>= 2:3.72-1~),
@@ -69,16 +68,16 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.54.3),
-         evolution-data-server (<< 3.55),
+         evolution-data-server (>= 3.55.2),
+         evolution-data-server (<< 3.57),
          default-dbus-system-bus | dbus-system-bus,
          psmisc
-Recommends: evolution-plugins,
+Recommends: evolution-ews,
+            evolution-plugins,
             evolution-plugin-bogofilter | evolution-plugin-spamassassin,
             evolution-plugin-pstimport,
             yelp
-Suggests: evolution-ews,
-          evolution-plugins-experimental,
+Suggests: evolution-plugins-experimental,
           gnupg,
           network-manager
 Provides: mail-reader,
